<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>node-js-resources (2)</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<h1 id="awesome-node.js-projects-awesome">Awesome Node.js projects <a href="https://github.com/sindresorhus/awesome"><img src="https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg" alt="Awesome" /></a></h1>
<blockquote>
<p>A curated list of awesome open-source applications made with Node.js. See <a href="https://github.com/sindresorhus/awesome-nodejs">Awesome Node.js</a> for a curated list of packages and resources.</p>
</blockquote>
<blockquote>
<p><a href="https://medium.com/@vdeturckheim/the-story-of-how-i-got-first-place-on-hacker-news-and-got-1000-stars-on-github-9dc9e63ef829#.1v4b51fvs">Read the story of how this repository ranked first on Hacker News and reached the 1000+ stars on Github.</a></p>
</blockquote>
<h2 id="cms">CMS</h2>
<ul>
<li><a href="https://github.com/keystonejs/keystone">Keystone</a> (<a href="http://keystonejs.com/">website</a>) - The open source framework for developing database-driven websites, applications and APIs. Built on Express and MongoDB.</li>
<li><a href="https://github.com/pencilblue/pencilblue">Pencilblue</a> (<a href="https://pencilblue.org/">website</a>) - Business Class Content Management.</li>
<li><a href="https://github.com/punkave/apostrophe">Apostrophe</a> (<a href="http://apostrophecms.org/">website</a>) - Apostrophe is a CMS framework that supports in-context editing, schema-driven content types, flexible widgets, and much more.</li>
<li><a href="https://github.com/jcoppieters/cody/">Cody</a> (<a href="http://cody-cms.org/en/">website</a>) - Javascript Content Management System.</li>
<li><a href="https://github.com/Putaitu/hashbrown-cms/">HashBrown</a> (<a href="http://hashbrown.rocks/">website</a>) - Remote, multilingual, multi-project, multi-environment CMS using customisable content and field schemas.</li>
<li><a href="https://github.com/strapi/strapi">Strapi</a> (<a href="http://strapi.io">website</a>) - Open source Node.js ecosystem to build, deploy and manage your own API.</li>
<li><a href="https://github.com/Gottwik/enduro">Enduro.js</a> (<a href="http://endurojs.com">website</a>) - Minimalistic, flat-file, full-fledged cms that gets your website running in minutes.</li>
<li><a href="https://github.com/gilbitron/Raneto">Raneto</a> (<a href="http://raneto.com/">website</a>) - Markdown powered Knowledgebase for Nodejs</li>
</ul>
<p><strong>Meteor apps</strong> * <a href="https://github.com/TelescopeJS/Telescope">TelescopeJS</a> (<a href="http://www.telescopeapp.org">website</a>) - Telescope Nova is a free, open-source app platform built with React and powered by Meteor on the back-end. Nova provides simple building blocks such as posts, comments, forms, and modals, and makes it easy to quickly customize them to build modern, social web apps.</p>
<h2 id="developers">Developers</h2>
<ul>
<li><a href="https://github.com/badges/shields">Shield</a> (<a href="http://shields.io/">website</a>) - Shields badge specification, website and default API server.</li>
<li><a href="https://github.com/alanshaw/david-www">David-www</a> (<a href="https://david-dm.org/">website</a>) - David helps keep your project dependencies up to date.</li>
<li><a href="https://github.com/typicode/json-server">JSON-server</a> - Get a full fake REST API with zero coding in less than 30 seconds (seriously).</li>
<li><a href="https://github.com/mongo-express/mongo-express">Mongo-Express</a> - Web-based MongoDB admin interface, written with express.</li>
<li><a href="https://github.com/witheve/Eve">Eve</a> (<a href="http://witheve.com/">website</a>) - Eve is a set of tools to help us think. Currently, these tools include: a temporal query language, a compiler, and a database.</li>
<li><a href="https://github.com/typicode/hotel">Hotel</a> - Start your dev servers from your browser and get local domains in seconds.</li>
<li><a href="https://github.com/sahat/hackathon-starter">Hackathon Starter</a> - A boilerplate for Node.js web applications.</li>
<li><a href="https://github.com/node-red/node-red">Node-RED</a> - A visual tool for wiring the Internet of Things</li>
<li><a href="https://github.com/nodesource/nscm">nscm</a> - An open-source CLI tool for working with NodeSource Certified Modules</li>
</ul>
<p><strong>Electron apps</strong></p>
<ul>
<li><a href="https://github.com/atom/atom">Atom</a> (<a href="https://atom.io/">website</a>) - Fully hackable text editor using Chrome.</li>
<li><a href="https://github.com/Microsoft/vscode">Visual Studio Code</a> (<a href="https://code.visualstudio.com/">website</a>) - An Electron based text editor created by Microsoft.</li>
</ul>
<h2 id="forms">Forms</h2>
<ul>
<li><a href="https://github.com/whitef0x0/tellform">TellForm</a> (<a href="https://tellform.com">website</a>)- A beautiful and powerful self-hostable Form and Survey builder similar to Typeform or Google Forms.</li>
</ul>
<h2 id="blogs">Blogs</h2>
<ul>
<li><a href="https://github.com/TryGhost/Ghost">Ghost</a> (<a href="https://ghost.org/">website</a>) - A simple, powerful publishing platform.</li>
<li><a href="https://github.com/DimitriMikadze/Mean-Blog">Mean-Blog</a> - Blog using Expressjs, Angularjs and Mongodb. MEAN Javascript Fullstack application.</li>
<li><a href="https://github.com/Automattic/wp-calypso">Wordpress Calypso</a> (<a href="https://developer.wordpress.com/calypso/">website</a>) - The new JavaScript- and API-powered WordPress.com.</li>
<li><a href="https://github.com/hexojs/hexo">Hexo</a> (<a href="https://hexo.io/">website</a>) - A fast, simple &amp; powerful blog framework.</li>
<li><a href="https://github.com/reptar/reptar">Reptar</a> (<a href="http://reptar.github.io/">website</a>) - Powerful, modern, and flexible static site generator.</li>
</ul>
<h2 id="file-managers">File Managers</h2>
<ul>
<li><a href="https://github.com/coderaiser/cloudcmd">Cloud Commander</a>(<a href="https://cloudcmd.io">website</a>) - Orthodox web file manager with console and editor.</li>
<li><a href="https://github.com/subnub/myDrive">MyDrive</a> - Self Hostable Fully Featured Google Drive Clone, using MongoDB, Typescript, Amazon S3/Filesystem, and Express.</li>
</ul>
<h2 id="lifestyle">Lifestyle</h2>
<ul>
<li><a href="https://github.com/jansmolders86/mediacenterjs">Mediacenterjs</a> (<a href="http://mediacenterjs.com/">website</a>) - A HTML/CSS/Javascript based Media center.</li>
<li><a href="https://github.com/HabitRPG/habitica">Habitica</a> (<a href="https://habitica.com/static/front">website</a>) - A habit tracker app which treats your goals like a Role Playing Game.</li>
<li><a href="https://github.com/thompsonemerson/moeda">moeda</a> - A foreign exchange rates and currency conversion using cli.</li>
</ul>
<h2 id="business">Business</h2>
<ul>
<li><a href="https://github.com/timeoff-management/application">TimeOff Management</a> (<a href="http://timeoff.management/">website</a>) - Simple yet powerful absence management software for small and medium size business.</li>
<li><a href="https://github.com/gadael/gadael">Gadael</a> (<a href="http://www.gadael.org">website</a>) Leave management software with french work regulations support.</li>
<li><a href="https://github.com/IMA-WorldHealth/bhima-2.X">Basic Hospital Information Management Application</a> (<a href="https://bhi.ma/">website</a>) - Hospital management suite for the developing world.</li>
<li><a href="https://github.com/llambda/agilegps">Agile GPS</a> - Real-time fleet tracking software</li>
</ul>
<h2 id="science">Science</h2>
<ul>
<li><a href="https://github.com/nasa/openmct">NASA’s Open MCT</a> (<a href="https://nasa.github.io/openmct/">website</a>) - A web based mission control framework.</li>
</ul>
<h2 id="ecommerce">eCommerce</h2>
<ul>
<li><a href="https://snipcart.com/blog/node-js-ecommerce-koa-js-tutorial">A Guide to E-Commerce for Node.js Developers</a> - Using Node.js to build your online store (tutorial included with KOA.js).</li>
</ul>
<p><strong>Meteor apps</strong></p>
<ul>
<li><a href="https://github.com/reactioncommerce/reaction">Reaction Commerce</a> (<a href="https://reactioncommerce.com/">website</a>) - A modern reactive, real-time event driven ecommerce platform.</li>
</ul>
<h2 id="chat-bots">Chat Bots</h2>
<ul>
<li><a href="https://github.com/zwacky/pokedex-go">PokéDex Go Messenger Bot</a> (<a href="https://www.facebook.com/PokedexGo/">website</a>) - A Pokédex Messenger Bot for Pokémon Go to easily find Pokémon and their strenghts &amp; weaknesses.</li>
<li><a href="https://github.com/shiigehiro/System">System Discord Bot</a> (<a href="https://shiigehiro.github.io/system">website</a>) - A Moderative and user-friendly Discord bot.</li>
</ul>
<h2 id="analytics">Analytics</h2>
<ul>
<li><a href="https://github.com/countly/countly-server">Countly</a> (<a href="http://count.ly">website</a>) - Open source, mobile &amp; web analytics and marketing platform for Android, iOS and web.</li>
</ul>
<h2 id="license">License</h2>
<figure>
<img src="https://upload.wikimedia.org/wikipedia/commons/f/f9/CC-Zero-badge.svg" alt="CC0 badge" /><figcaption>CC0 badge</figcaption>
</figure>
<p>This project is under the <a href="https://creativecommons.org/publicdomain/zero/1.0/">CC0 1.0 license</a></p>
</body>
</html>
